## com.baidubce.services.media.model
Class GetPipelineResponse

    java.lang.Object
      com.baidubce.model.AbstractBceResponse
          com.baidubce.services.media.model.GetPipelineResponse

    public class GetPipelineResponse

extends AbstractBceResponse

Field Summary

Fields inherited from class com.baidubce.model.AbstractBceResponse
`metadata`

Constructor Summary
`GetPipelineResponse()`

Method Summary
`PipelineConfig` `getConfig()` pipeline的的配置
`String` `getDescription()` 用户指定的队列描述
`JobStatus` `getJobStatus()` 队列中任务的状态集合
`String` `getLastUpdateTime()` 最后更新时间
`String` `getPipelineName()` 系统生成的队列唯一标示
`String` `getSourceBucket()` 用户指定的输入Bucket
`String` `getState()`
`String` `getTargetBucket()` 用户指定的输出Bucket
`void` `setConfig(PipelineConfig config)`
`void` `setDescription(String description)`
`void` `setJobStatus(JobStatus jobStatus)`
`void` `setLastUpdateTime(String lastUpdateTime)`
`void` `setPipelineName(String pipelineName)`
`void` `setSourceBucket(String sourceBucket)`
`void` `setState(String state)`
`void` `setTargetBucket(String targetBucket)`
`String` `toString()`

Methods inherited from class com.baidubce.model.AbstractBceResponse
`getMetadata`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GetPipelineResponse

    public GetPipelineResponse()

Method Detail

### getPipelineName

    public String getPipelineName()

  系统生成的队列唯一标示

### setPipelineName

    public void setPipelineName(String pipelineName)

### getDescription

    public String getDescription()

  用户指定的队列描述

### setDescription

    public void setDescription(String description)

### getSourceBucket

    public String getSourceBucket()

  用户指定的输入Bucket

### setSourceBucket

    public void setSourceBucket(String sourceBucket)

### getTargetBucket

    public String getTargetBucket()

  用户指定的输出Bucket

### setTargetBucket

    public void setTargetBucket(String targetBucket)

### getConfig

    public PipelineConfig getConfig()

  pipeline的的配置

### setConfig

    public void setConfig(PipelineConfig config)

### getState

    public String getState()

### setState

    public void setState(String state)

### getLastUpdateTime

    public String getLastUpdateTime()

  最后更新时间

### setLastUpdateTime

    public void setLastUpdateTime(String lastUpdateTime)

### getJobStatus

    public JobStatus getJobStatus()

  队列中任务的状态集合

### setJobStatus

    public void setJobStatus(JobStatus jobStatus)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2016. All rights reserved.